TrainData (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class TrainData

- java.lang.Object
- - org.opencv.ml.TrainData

-     public class TrainData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrainData(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrainData` | `__fromPtr__(long addr)`
    `static TrainData` | `create(Mat samples, int layout, Mat responses)`
    `static TrainData` | `create(Mat samples, int layout, Mat responses, Mat varIdx, Mat sampleIdx, Mat sampleWeights, Mat varType)`
    `protected void` | `finalize()`
    `int` | `getCatCount(int vi)`
    `Mat` | `getCatMap()`
    `Mat` | `getCatOfs()`
    `Mat` | `getClassLabels()`
    `Mat` | `getDefaultSubstValues()`
    `int` | `getLayout()`
    `Mat` | `getMissing()`
    `int` | `getNAllVars()`
    `void` | `getNames(java.util.List<java.lang.String> names)`
    `long` | `getNativeObjAddr()`
    `Mat` | `getNormCatResponses()`
    `int` | `getNSamples()`
    `int` | `getNTestSamples()`
    `int` | `getNTrainSamples()`
    `int` | `getNVars()`
    `Mat` | `getResponses()`
    `int` | `getResponseType()`
    `void` | `getSample(Mat varIdx, int sidx, float buf)`
    `Mat` | `getSamples()`
    `Mat` | `getSampleWeights()`
    `static Mat` | `getSubVector(Mat vec, Mat idx)`
    `Mat` | `getTestNormCatResponses()`
    `Mat` | `getTestResponses()`
    `Mat` | `getTestSampleIdx()`
    `Mat` | `getTestSamples()`
    `Mat` | `getTestSampleWeights()`
    `Mat` | `getTrainNormCatResponses()`
    `Mat` | `getTrainResponses()`
    `Mat` | `getTrainSampleIdx()`
    `Mat` | `getTrainSamples()`
    `Mat` | `getTrainSamples(int layout, boolean compressSamples, boolean compressVars)`
    `Mat` | `getTrainSampleWeights()`
    `void` | `getValues(int vi, Mat sidx, float values)`
    `Mat` | `getVarIdx()`
    `Mat` | `getVarSymbolFlags()`
    `Mat` | `getVarType()`
    `void` | `setTrainTestSplit(int count)`
    `void` | `setTrainTestSplit(int count, boolean shuffle)`
    `void` | `setTrainTestSplitRatio(double ratio)`
    `void` | `setTrainTestSplitRatio(double ratio, boolean shuffle)`
    `void` | `shuffleTrainTest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### TrainData

          protected TrainData(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static TrainData __fromPtr__(long addr)

    - #### getCatMap

          public Mat getCatMap()

    - #### getCatOfs

          public Mat getCatOfs()

    - #### getClassLabels

          public Mat getClassLabels()

    - #### getDefaultSubstValues

          public Mat getDefaultSubstValues()

    - #### getMissing

          public Mat getMissing()

    - #### getNormCatResponses

          public Mat getNormCatResponses()

    - #### getResponses

          public Mat getResponses()

    - #### getSampleWeights

          public Mat getSampleWeights()

    - #### getSamples

          public Mat getSamples()

    - #### getSubVector

          public static Mat getSubVector(Mat vec,
                                         Mat idx)

    - #### getTestNormCatResponses

          public Mat getTestNormCatResponses()

    - #### getTestResponses

          public Mat getTestResponses()

    - #### getTestSampleIdx

          public Mat getTestSampleIdx()

    - #### getTestSampleWeights

          public Mat getTestSampleWeights()

    - #### getTestSamples

          public Mat getTestSamples()

    - #### getTrainNormCatResponses

          public Mat getTrainNormCatResponses()

    - #### getTrainResponses

          public Mat getTrainResponses()

    - #### getTrainSampleIdx

          public Mat getTrainSampleIdx()

    - #### getTrainSampleWeights

          public Mat getTrainSampleWeights()

    - #### getTrainSamples

          public Mat getTrainSamples(int layout,
                                     boolean compressSamples,
                                     boolean compressVars)

    - #### getTrainSamples

          public Mat getTrainSamples()

    - #### getVarIdx

          public Mat getVarIdx()

    - #### getVarSymbolFlags

          public Mat getVarSymbolFlags()

    - #### getVarType

          public Mat getVarType()

    - #### create

          public static TrainData create(Mat samples,
                                         int layout,
                                         Mat responses,
                                         Mat varIdx,
                                         Mat sampleIdx,
                                         Mat sampleWeights,
                                         Mat varType)

    - #### create

          public static TrainData create(Mat samples,
                                         int layout,
                                         Mat responses)

    - #### getCatCount

          public int getCatCount(int vi)

    - #### getLayout

          public int getLayout()

    - #### getNAllVars

          public int getNAllVars()

    - #### getNSamples

          public int getNSamples()

    - #### getNTestSamples

          public int getNTestSamples()

    - #### getNTrainSamples

          public int getNTrainSamples()

    - #### getNVars

          public int getNVars()

    - #### getResponseType

          public int getResponseType()

    - #### getNames

          public void getNames(java.util.List<java.lang.String> names)

    - #### getSample

          public void getSample(Mat varIdx,
                                int sidx,
                                float buf)

    - #### getValues

          public void getValues(int vi,
                                Mat sidx,
                                float values)

    - #### setTrainTestSplit

          public void setTrainTestSplit(int count,
                                        boolean shuffle)

    - #### setTrainTestSplit

          public void setTrainTestSplit(int count)

    - #### setTrainTestSplitRatio

          public void setTrainTestSplitRatio(double ratio,
                                             boolean shuffle)

    - #### setTrainTestSplitRatio

          public void setTrainTestSplitRatio(double ratio)

    - #### shuffleTrainTest

          public void shuffleTrainTest()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown